<div class="relative relative" ng-controller="wow">

    <div class=" marginBtmSml">
        <div class="dropDown small round midBlock marginBtmSml">
            <div data-init="0" class="head lightGreyBack">
                <div class="headTitle">{{realTimeGraphFeautures.dial.selectedDropdown.selectedRefreshTime}}</div>
                <!--{{realTimeGraphFeautures.dial.selectedDropdown}}-->
                <img class="sign" alt="down" src="images/downArrow.png">
            </div>
            <ul class="list" style="">
                <!--<li >Now (Last 30 sec)</li>-->
                <li ng-click="setSecondsForRealTimeData(30)">Now (30 sec)</li>
                <li ng-click="setSecondsForRealTimeData(300)">5 minutes</li>
                <li ng-click="setSecondsForRealTimeData(900)">15 minutes</li>
                <li ng-click="setSecondsForRealTimeData(1800)">30 minutes</li>
                <li ng-click="setSecondsForRealTimeData(3600)">1 Hour</li>
            </ul>
        </div>
    </div>
    <span class="clear"></span>

    <div class="dataBox">
        <div class="marginBtmSml relative">
            <div class="zoneStatus noLine midBlock wow bounceInLeft" data-wow-duration="800ms">
                <ul>
                    <li class="borderBtm marginBtmSml">
                        <div class="name"></div>
                        <div class="statusBox zone1 marginBtmSrt">
                            <div class="">Zone 1</div>
                            <!--<label class="" id="zone1">-->
                            <!--<div class="checkbox midBlock">-->
                            <!--<input type="checkbox" checked>-->
                            <!--<div class="box"></div>-->
                            <!--</div>-->
                            <!--<div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(1)">Zone 2</div>-->
                            <!--</label>-->
                        </div>
                        <div class="statusBox zone2 marginBtmSrt">
                            <div class="">Zone 2</div>
                            <!--<label class="" id="zone2">-->
                            <!--<div class="checkbox midBlock">-->
                            <!--<input type="checkbox" checked>-->
                            <!--<div class="box"></div>-->
                            <!--</div>-->
                            <!--<div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(1)">Zone 2</div>-->
                            <!--</label>-->
                        </div>
                        <div class="statusBox zone3 marginBtmSrt">
                            <div class="">Zone 3</div>
                            <!--<label class="" id="zone3">-->
                            <!--<div class="checkbox midBlock">-->
                            <!--<input type="checkbox" checked>-->
                            <!--<div class="box"></div>-->
                            <!--</div>-->
                            <!--<div class="txt midBlock" ng-click="fetchRealTimeDataByZOneSelected(2)">Zone 3</div>-->
                            <!--</label>-->
                            <!--<div class="txt btn" id="zone3" data-init=0  ng-click="fetchRealTimeDataForZone('zone','zone3')">-->
                            <!--<div class="check midBlock"></div>-->
                            <!--<div class="txt midBlock">Zone 3</div>-->
                            <!--</div>-->
                        </div>
                    </li>
                    <li>
                        <div class="statusBox">
                            <label class="" id="lane1">
                                <div class="checkbox midBlock">
                                    <input type="checkbox" checked>

                                    <div class="box"></div>
                                </div>
                                <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(1)">Lane 1</div>
                            </label>
                            <!--<div class="txt btn" id="lane1" data-init=0 >-->
                            <!--<div class="check midBlock"></div>-->
                            <!--<div class="txt midBlock">Lane 1</div>-->
                            <!--</div>-->
                        </div>
                        <div class="statusBox lane1">
                            <div class="statusMain zone1 lane1 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(1,1)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[0][0]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane1">
                            <div class="statusMain zone2 lane1 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(2,1)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[1][0]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane1">
                            <div class="statusMain zone3 lane1 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(3,1)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[2][0]"></div>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="statusBox">
                            <label class="" id="lane2">
                                <div class="checkbox midBlock">
                                    <input type="checkbox" checked>

                                    <div class="box"></div>
                                </div>
                                <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(2)">Lane 2</div>
                            </label>
                        </div>
                        <div class="statusBox lane2">
                            <div class="statusMain zone1 lane2 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(1,2)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[0][1]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane2">
                            <div class="statusMain zone2 lane2 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(2,2)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[1][1]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane2">
                            <div class="statusMain zone3 lane2 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(3,2)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[2][1]"></div>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="statusBox">
                            <label class="" id="lane3">
                                <div class="checkbox midBlock">
                                    <input type="checkbox" checked>

                                    <div class="box"></div>
                                </div>
                                <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(3)">Lane 3</div>
                            </label>
                        </div>
                        <div class="statusBox lane3">
                            <div class="statusMain zone1 lane3 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(1,3)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[0][2]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane3">
                            <div class="statusMain zone2 lane3 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(2,3)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[1][2]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane3">
                            <div class="statusMain zone3 lane3 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(3,3)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[2][2]"></div>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="statusBox">
                            <label class="" id="lane4">
                                <div class="checkbox midBlock">
                                    <input type="checkbox" checked>

                                    <div class="box"></div>
                                </div>
                                <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(4)">Lane 4</div>
                            </label>
                        </div>
                        <div class="statusBox lane4">
                            <div class="statusMain zone1 lane4 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(1,4)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[0][3]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane4">
                            <div class="statusMain zone2 lane4 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(2,4)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[1][3]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane4">
                            <div class="statusMain zone3 lane4 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(3,4)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[2][3]"></div>
                            </div>
                        </div>
                    </li>
                    <li>
                        <div class="statusBox">
                            <label class="" id="lane5">
                                <div class="checkbox midBlock">
                                    <input type="checkbox" checked>

                                    <div class="box"></div>
                                </div>
                                <div class="txt midBlock" ng-click="fetchRealTimeDataByLaneSelected(5)">Lane 5</div>
                            </label>
                        </div>
                        <div class="statusBox lane5">
                            <div class="statusMain zone1 lane5 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(1,5)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[0][4]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane5">
                            <div class="statusMain zone2 lane5 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(2,5)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[1][4]"></div>
                            </div>
                        </div>
                        <div class="statusBox lane5">
                            <div class="statusMain zone3 lane5 active" data-init=0
                                 ng-click="fetchRealTimeDataBySelectedPoint(3,5)">
                                <div class="status" ng-class="realTimeGraphFeautures.levelOfService[2][4]"></div>
                            </div>
                        </div>
                    </li>
                </ul>

            </div>
            <!-- <div class="dataMsg" ng-show="true"></div>-->
            <div class="midBlock matricAnalytics">
                <ul>
                    <li class="occupancy wow bounceInRight" data-wow-duration="500ms" data-wow-delay="100ms">
                        <div class="iconMain">
                            <img src="images/occupancy.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Occupancy</div>
                            <div class="txt">{{realTimeGraphFeautures.metrics.occupancy}}<span>%</span></div>
                        </div>
                    </li>
                    <li class="volume wow bounceInRight" data-wow-duration="800ms" data-wow-delay="200ms">
                        <div class="iconMain">
                            <img src="images/volume.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">{{realTimeGraphFeautures.flowName}}</div>
                            <div class="txt">{{realTimeGraphFeautures.metrics.volume}}
                                <span>{{realTimeGraphFeautures.dial.metrics.flow.units}}</span>
                                <!--<span ng-if="realTimeGraphFeautures.flowName=='Flow'">vh/hr</span></div>-->
                            </div>
                        </div>
                    </li>
                    <li class="speed wow bounceInRight" data-wow-duration="800ms" data-wow-delay="300ms">
                        <div class="iconMain">
                            <img src="images/speed.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Speed</div>
                            <div class="txt">{{realTimeGraphFeautures.metrics.speed}}<span>km/hr</span></div>
                        </div>
                    </li>
                    <li class="sh wow bounceInRight" data-wow-duration="800ms" data-wow-delay="500ms">
                        <div class="iconMain">
                            <img src="images/speedheadway.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Space Headway</div>
                            <div class="txt">{{realTimeGraphFeautures.metrics.spaceHeadway}}<span>mtrs</span></div>
                        </div>
                    </li>
                    <li class="th wow bounceInRight" data-wow-duration="800ms" data-wow-delay="600ms">
                        <div class="iconMain">
                            <img src="images/timeheadway.png" alt="">
                        </div>
                        <div class="content">
                            <div class="tag">Time Headway</div>
                            <div class="txt">{{realTimeGraphFeautures.metrics.timeHeadway}}<span>s</span></div>
                        </div>
                    </li>
                    <span class="clear"></span>
                </ul>
            </div>
            <div class="dataMsg" ng-show="realTimeGraphFeautures.dial.loader"></div>
        </div>

        <div class="zoneMatLegend">
            <div class="legend midBlock">
                <div class="circle midBlock normal"></div>
                <div class="txt midBlock">LOS 1</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock mid"></div>
                <div class="txt midBlock">LOS 2</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock more"></div>
                <div class="txt midBlock">LOS 3</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock ok"></div>
                <div class="txt midBlock">LOS 4</div>
            </div>
            <div class="legend midBlock">
                <div class="circle midBlock "></div>
                <div class="txt midBlock">LOS 5</div>
            </div>
        </div>

        <!--<div class="midBlock circles">-->
        <!--<div class="midBlock circle">-->
        <!--<div class="name">Occupancy</div>-->
        <!--<solid-gauge value="58" color="#616a71" id="OccupancyGraph"></solid-gauge>-->
        <!--</div>-->
        <!--<div class="midBlock circle">-->
        <!--<div class="name">{{realTimeGraphFeautures.flowName}}</div>-->
        <!--<solid-gauge value="30" color="#a2c581" suffix="vh/min" id="volumeGraph"></solid-gauge>-->
        <!--</div>-->
        <!--<div class="midBlock circle">-->
        <!--<div class="name">Occupancy</div>-->
        <!--<solid-gauge value="43" color="#a2c581" suffix="kmph" id="SpeedGraph"></solid-gauge>-->
        <!--</div>-->
        <!--<div class="midBlock circle">-->
        <!--<div class="name">Space Headway</div>-->
        <!--<solid-gauge value="48" color="#616a71" suffix="mtrs" id="spaceHeadwayDial"></solid-gauge>-->
        <!--</div>-->
        <!--<div class="midBlock circle">-->
        <!--<div class="name">Time Headway</div>-->
        <!--<solid-gauge value="48" color="#616a71" suffix="s" id="timeHeadwayDial"></solid-gauge>-->
        <!--</div>-->
        <!--</div>-->

        <span class="clear"></span>

    </div>

    <div class="currentGraph marginBtm paddingBtm wow slideInUp" data-wow-duration="500ms" data-wow-delay="200ms">
        <div class="graphControl">
            <div class="dropDown small  round midBlock marginRgt">
                <div data-init="0" class="head lightGreyBack">
                    <div class="headTitle">{{realTimeGraphFeautures.laneGraphChart.selectedDropdown.selectedZone}}</div>
                    <img class="sign" alt="down" src="images/downArrow.png">
                </div>
                <ul class="list" style="">
                    <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(1)">Zone 1</li>
                    <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(2)">Zone 2</li>
                    <li ng-click="setZoneOfVehicleAnalyticsDataForRealTimeGraph(3)">Zone 3</li>
                </ul>
            </div>
            <div class="dropDown small midBlock round marginRgt">
                <div data-init="0" class="head lightGreyBack">
                    <div class="headTitle">{{realTimeGraphFeautures.laneGraphChart.selectedDropdown.selectedType}}</div>
                    <img class="sign" alt="down" src="images/downArrow.png">
                </div>
                <ul class="list" style="">
                   <!-- <li ng-click="test()">volume</li>-->
                    <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('volume')">volume</li>
                    <!--<li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('occupancy')">Occupancy</li>-->
                    <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('speed')">Speed</li>
                    <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('occupancy')">Occupancy</li>
                    <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('spaceHeadway')">Space Headway</li>
                    <li ng-click="setTypeOfVehicleAnalyticsDataForRealTimeGraph('timeHeadway')">Time Headway</li>
                </ul>
            </div>
            <div class="dropDown small midBlock round">
                <div data-init="0" class="head lightGreyBack">
                    <div class="headTitle">Spark Line</div>
                    <img class="sign" alt="down" src="images/downArrow.png">
                </div>
                <ul class="list" style="">
                    <li ng-click="chartTypeUpdate('areaspline','.currentGraph','.areaSpline')">Area Spline</li>
                    <li ng-click="chartTypeUpdate('column','.currentGraph','.areaSpline')">Column</li>
                    <li ng-click="chartTypeUpdate('spline','.currentGraph','.areaSpline')">Spline</li>
                    <li ng-click="chartTypeUpdate('area','.currentGraph','.areaSpline')">Spark Line</li>
                </ul>
            </div>
            <span class="clear"></span>
        </div>

        <!--added lengend for graph-->


        <div class="graphBox">
            <area-spline x="xAxis" y="yAxis" legend="true" xlabel="true" ylabel="true" grid="1"
                         id="realTimeChartGraph"></area-spline>
            <div class="dataMsg" ng-show="false"></div>
            <div class="txt midBlock" style="float:right;font-size: 10px">1 Minute Average Data Refreshed Every 5 Sec</div>
            <span class="clear"></span>
        </div>
    </div>
</div>

